# It's not recommended to modify this file in-place, because it
# will be overwritten during upgrades.  If you want to customize,
# the best way is to use the "systemctl edit" command.

[Unit]
Description=The PHP %i FastCGI Process Manager
After=network.target

[Service]
Type=notify
Environment=LOCALE_ARCHIVE=/usr/lib/locale/locale-archive
; PIDFile=${RUNTIME_DIRECTORY}/php-fpm.pid
#ExecStart=/usr/bin/php-fpm%i --nodaemonize --fpm-config %t/php/fpm/php-fpm.conf -c ${CONFIGURATION_DIRECTORY} --pid ${RUNTIME_DIRECTORY}/php-fpm.pid --force-stderr
ExecStart=/usr/bin/nix shell %E/php/%i -c php-fpm --nodaemonize --fpm-config %E/php/%i/fpm/php-fpm.conf --force-stderr
ExecReload=/bin/kill -USR2 $MAINPID
#RuntimeDirectory=php-fpm-%i
RuntimeDirectory=php%i-fpm
TimeoutStartSec=infinity
#ConfigurationDirectory=php/%i

[Install]
WantedBy=default.target
